VWSとは フォーラム Lightning Varietyを更新したら表示エラーに

Varietyを更新したら表示エラーに

  • このトピックには7件の返信、3人の参加者があり、最後にVektor,Incにより8ヶ月、 2週前に更新されました。
8件の投稿を表示中 - 1 - 8件目 (全8件中)
  • 投稿者
    投稿
  • #29538

    Hisashi Endo
    参加者

    Lightning ProとVarietyを使用、先ほどVarietyを更新したら下記エラーが出て表示されなくなってしまいました(Chrome、IE11で同一メッセージ)。
    対処方法について、ご教示願います。

    Fatal error: Uncaught Error: Class ‘Puc_v4p7_Factory’ not found in /home/sakahogi/www/wp/wp-content/plugins/lightning-skin-variety/inc/plugin-update-checker/Puc/v4/Factory.php:4 Stack trace: #0 /home/sakahogi/www/wp/wp-content/plugins/lightning-skin-variety/inc/plugin-update-checker/plugin-update-checker.php(11): require() #1 /home/sakahogi/www/wp/wp-content/plugins/lightning-skin-variety/lightning_skin_variety.php(45): require(‘/home/sakahogi/…’) #2 /home/sakahogi/www/wp/wp-settings.php(360): include_once(‘/home/sakahogi/…’) #3 /home/sakahogi/www/wp/wp-config.php(93): require_once(‘/home/sakahogi/…’) #4 /home/sakahogi/www/wp/wp-load.php(37): require_once(‘/home/sakahogi/…’) #5 /home/sakahogi/www/wp/wp-blog-header.php(13): require_once(‘/home/sakahogi/…’) #6 /home/sakahogi/www/wp/index.php(17): require(‘/home/sakahogi/…’) #7 {main} thrown in /home/sakahogi/www/wp/wp-content/plugins/lightning-skin-variety/inc/plugin-update-checker/Puc/v4/Factory.php on line 4

    #29554

    Hisashi Endo
    参加者

    一応、その後の経過報告です。
    WordPress の「リカバリーモード」でVarietyを停止させたところ、ひとまず表示されるようになりました。
    ただし、Variety由来のレイアウトについては崩れてしまっているため、今後どうするかは、開発元の追加報告を待ち対処してまいりたいと思います。

    #29564

    DRILL LANCER
    モデレーター

    マイアカウント > ダウンロードから最新版の Lightning Skin Variety がダウンロード可能になったようなので、Lightning Skin Variety を一旦削除して最新版をインストールしてみてください。

    ※ちなみに私は外部の一般人です。

    #29566

    Hisashi Endo
    参加者

    DRILL LANCERさん

    重要な情報のご提供、ありがとうございます!
    早速試したいと思いますが、開発元からのアナウンスがないと少々不安です。
    もう少し待ってから、試したいと思います。

    #29569

    Vektor,Inc
    キーマスター

    ご迷惑おかけして大変恐れ入ります。

    利用していたアップデートモジュールをバージョンアップした Variety 6.0.1 をアップいたしました。

    お手数ですがVWSのマイアカウントページよりダウンロードしてください。

    https://vws.vektor-inc.co.jp/my-account/downloads

    今のVarietyを有効化するとまたエラーになるかもしれませんので、一旦削除して、
    ダウンロードしたVarietyをアップロードして有効化してください。

    その上で、もし余力があれば以下ご協力いただけると助かります。

      1. プラグイン > プラグインエディター を開く
      2. 画面右上のプルダウン「編集するプラグインを選択:」で Lightning Skin Variety を選択
      3. 6行目あたりに version の記載があります。ここを 3.0.0 など古い数字に変更して、編集エリア下の「ファイルを更新」をクリック
      4. これでおそらくアップデート通知が出るのでアップデートを実行
      5. エラーにならないか確認

    以上よろしくお願いいたします。

    • この返信は8ヶ月、 2週前にVektor,Incが編集しました。
    • この返信は8ヶ月、 2週前にVektor,Incが編集しました。
    #29570

    DRILL LANCER
    モデレーター
    #29578

    Hisashi Endo
    参加者

    Vektor,Inc様

    早速のご案内、ありがとうございます。
    対応し、解決しました。
    なお、バージョン変更については、試していません。

    #29579

    Vektor,Inc
    キーマスター

    ご確認ありがとうございます。
    有効化して問題ないようでしたらおそらく次回のバージョンアップ処理でもエラーは発生しないと思います。
    ご迷惑おかけいたしました。

8件の投稿を表示中 - 1 - 8件目 (全8件中)
  • このトピックに返信するにはログインが必要です。